from flask import current_app as app

import json
from os.path import isfile
from pathlib import Path

def check_file(filename:str) -> bool:
    data_dir = Path(app.config.get('DATA'))
    if isfile(f'./{data_dir}/{filename}'): return True
    return False

def load(filename:str) -> dict:
    data_dir = Path(app.config.get('DATA'))
    with open(f'./{data_dir}/{filename}') as file: return json.load(file)